Subject: Re: bug#35465: Ocaml-yojson build failing

From: Julien Lepiller <[email-masked]>
Date: Mon, 29 Apr 2019 15:46:00 +0200

Le Sun, 28 Apr 2019 22:15:33 -0500,
Brett Gilio <[email-masked]> a écrit :

> Julien Lepiller writes:
> >
> > Most likely this is my fault... I thought I rebuilt everything
> > locally though. Yojson can be upgraded to 1.7.0, but I think it
> > caused a build failure in merlin. Can you try?  
> 
> I actually did give this a try in my channel before sending the
> email. You are right, something with Merlin breaks because of Menhir.
> 
> I can get menhir to build just fine, but adding it as an input to
> Merlin doesnt change the behavior of the compile-time stuff.
> 
> So it is a rabbit hole.
> 
> If Ricardo is reading this, would you mind taking a look at this
> issue?
> 
> Brett

Fixed in 373a2a07975ed8e187f3baaa5c795a7ff0fd155b

Thanks for reporting this :)